Description: Allow the buildsystem to overwrite libssh's OUTPUT_NAME.
Author: Sebastian Ramacher <s.ramacher@gmx.at>
Last-Update: 2012-06-19

--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -101,6 +101,11 @@ set(LIBSSH_LINK_LIBRARIES
   CACHE INTERNAL "libssh link libraries"
 )
 
+set(LIBSSH_LIBRARY_NAME
+  ssh
+  CACHE INTERNAL "libssh library name"
+)
+
 set(LIBSSH_SHARED_LIBRARY
   ssh_shared
   CACHE INTERNAL "libssh shared library"
@@ -317,7 +322,7 @@ set_target_properties(
       SOVERSION
         ${LIBRARY_SOVERSION}
       OUTPUT_NAME
-        ssh
+        ${LIBSSH_LIBRARY_NAME}
       DEFINE_SYMBOL
         LIBSSH_EXPORTS
 )
@@ -356,7 +361,7 @@ if (WITH_STATIC_LIB)
         SOVERSION
           ${LIBRARY_SOVERSION}
         OUTPUT_NAME
-          ssh
+          ${LIBSSH_LIBRARY_NAME}
         ARCHIVE_OUTPUT_DIRECTORY
           ${CMAKE_CURRENT_BINARY_DIR}/${OUTPUT_SUFFIX}
   )
